BimpДовідка

Банківські рахунки: методи API Bimp

Методи API Bimp для ресурсу «Банківські рахунки» (/org2/bankAccounts/…): 3 методи. Базова адреса: https://app.bimpsoft.com. Усі запити, крім входу, передають токен компанії в заголовку access-token — див. Початок роботи з API.

МетодЩо робить
POST /org2/bankAccounts/api-readTypesA request to obtain detailed information about bank account types
POST /org2/bankAccounts/api-readA request to obtain detailed information for a particular bank account
POST /org2/bankAccounts/api-readListA request to view a list of bank accounts

api-readTypes

POST /org2/bankAccounts/api-readTypes

A request to obtain detailed information about bank account types

Відповідь: поле data

ПолеТипОпис
[].namestring
[].uuidstring (uuid)
[].codestring
curl -X POST 'https://app.bimpsoft.com/org2/bankAccounts/api-readTypes' \
  -H 'access-token: <токен компанії>'

api-read

POST /org2/bankAccounts/api-read

A request to obtain detailed information for a particular bank account

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
uuidstring (uuid)такA unique uuid key for the bank account

Відповідь: поле data

ПолеТипОпис
uuidstring (uuid)A unique uuid key for the bank account
namestring
commentstring
bankstring
ibanstring
cardstring
mainboolean
currencystring (uuid)
organizationstring (uuid)
accountingstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/bankAccounts/api-read' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-readList

POST /org2/bankAccounts/api-readList

A request to view a list of bank accounts

Тіло запиту (JSON)

ПолеТипОбов’язковеОпис
paginationobjectтак
pagination.offsetnumberтакBegin from {offset} elements
pagination.countnumberтакLimit of paginated elemets

Відповідь: поле data

ПолеТипОпис
[].uuidstring (uuid)A unique uuid key for the bank account
[].namestring
[].commentstring
[].bankstring
[].ibanstring
[].cardstring
[].mainboolean
[].currencystring (uuid)
[].organizationstring (uuid)
[].accountingstring (uuid)
curl -X POST 'https://app.bimpsoft.com/org2/bankAccounts/api-readList' \
  -H 'access-token: <токен компанії>' \
  -H 'Content-Type: application/json' \
  -d '{"pagination":{"offset":0,"count":10}}'

Інтерактивна документація з можливістю надіслати тестовий запит: https://app.bimpsoft.com/docs. Специфікація OpenAPI оновлюється разом із Bimp; ця сторінка згенерована з неї автоматично.